QGIS Application - Bug report #16323
ArcGISMapServer New Connection Not working. Cannot add a layer from service
2017-03-08 08:49 AM - Dave Sampson

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/ArcGIS

Affected QGIS version:2.18.4 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 24233
Description

As a QGIS user
| want to load a layer from an ArcGISMapServer

So that | can view the feature server layers on my map
Steps:

open QGIS 2.18.4
right click on ArcGIS MapServer > New Connection
Name: ECCC: SpeciesProtectRestore_Canada_CanadianWildlifeService

URL.: http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore Canada CanadianWildlifeService/MapServer

press OK

Result:

- No layer added to Layers panel

- No layer added to Browser panel

Notes:

it would be nice to add either of the following
- Service URL

- http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore Canada CanadianWildlifeService/MapServer

- Present dialogue to select one or more layers to add
- Layer URL

- http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore Canada CanadianWildlifeService/MapServer/0

- Present dialogue to select the one layer to add
- Maybe show other possible layers within the service?

- What about also providing an option to check for an OGC OWS equivalent service (WMS, WMTS, WCS etc)

History

#1 - 2017-03-08 08:58 AM - Giovanni Manghi
- Status changed from Open to Feedback

works as expected here, see attached image

#2 - 2017-03-08 08:58 AM - Giovanni Manghi
- File Screenshot_20170308_170451.png added

#3 - 2017-03-08 10:14 AM - Dave Sampson

Thanks for testing.
http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore_Canada_CanadianWildlifeService/MapServer
http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore_Canada_CanadianWildlifeService/MapServer
http://ec.gc.ca/arcgis/rest/services/SpeciesProtectRestore_Canada_CanadianWildlifeService/MapServer/0

A detail that i did not think mattered but may is that | am using the ditribution within OSGEO4W. Do you have a version you can test QGIS in? | wonder if

something happened during install.

Next, | wonder if there is a debug mode or log file | can monitor to see what is going on.

Thoughts?

#4 - 2017-03-08 10:36 AM - Dave Sampson

Related to #16321

| just tested this another way in 2.18

- Ensured QGIS Desktop Closed

- Open QGIS Browser

- Added ESRI Mapserver service: Worked

- opened QGIS desktop: service added to list

So it works through the QGIS browser for me but not through desktop.

Any thoughts on how to narrow down the issue?

#5 - 2017-03-08 01:30 PM - Dave Sampson

OK,

I think | found the issue. It has been a while since | have used QGIS in all its workflows so it took a while to determine the issue and worked with another
user to narrow down the issue.
The issue seems to be in one of the many potential paths to add a layer. So lets go through them:

- QGIS Browser: ArcGlSmapserver > New : WORKS

- Menu: Layer > Add Layer > Add ArcGis Mapserver Layer: WORKS

- Manage Layers Toolbar: Add WMS/ESRI vector layer > Add ArcGIS mapserver Layer: WORKS

- Browser Panel: right click ArcGISMapServer item > New Connection: FAILS
So is seems the issue is with the browser panel.
Can anyone confirm that this workflow also fails for them?
#6 - 2017-04-30 12:46 AM - Giovanni Manghi
- Description updated
The issue seems to be in one of the many potential paths to add a layer. So lets go through them: - QGIS Browser: ArcGISmapserver > New :
WORKS
- Menu: Layer > Add Layer > Add ArcGis Mapserver Layer: WORKS
- Manage Layers Toolbar: Add WMS/ESRI vector layer > Add ArcGIS mapserver Layer: WORKS

- Browser Panel: right click ArcGISMapServer item > New Connection: FAILS

So is seems the issue is with the browser panel.

Can anyone confirm that this workflow also fails for them?
tested them all on 2.18.7/0sgeo4w and Linux, they all work for me.

#7 - 2017-04-30 06:42 PM - Giovanni Manghi
- Category changed from 147 to Web Services clients/ArcGIS

#8 - 2017-05-01 01:01 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#9 - 2017-05-26 05:05 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files
Screenshot_20170308_170451.png 216 KB 2017-03-08 Giovanni Manghi
